AddEventHandler("playerSpawned", function(spawn)
	if not alreadySpawned then
		TriggerEvent("menu:registerModuleMenu", "Scorpion Trainer", addModuleSubMenus, nil)
		alreadySpawned = true
	end
end)

function addModuleSubMenus(id)
	TriggerEvent("menu:addModuleSubMenu", id, "Player", addPlayerMenuItems, nil)
	TriggerEvent("menu:addModuleSubMenu", id, "Vehicles", addVehicleMenuItems, nil)
	TriggerEvent("menu:addModuleSubMenu", id, "Weapons", addWeaponsMenuItems, nil)
	TriggerEvent("menu:addModuleSubMenu", id, "Settings", addSettingsMenuItems, nil)
	TriggerEvent("menu:addModuleSubMenu", id, "About", addAboutMenuItems, nil)
end

function addAboutMenuItems(id)
	TriggerEvent("menu:addModuleItem", id, "Example Module by Scammer", nil, false, nil)
	TriggerEvent("menu:addModuleItem", id, "Your info here", nil, false, nil)
end

function drawNotification(text)
	SetNotificationTextEntry("STRING")
	AddTextComponentString(text)
	DrawNotification(false, false)
end